html 
    head 
        style 
            include ../public/css/tournament.css

        title Tournament details
    body 
        ul(class="nav-list") 
            li(class="nav-item"): a(href='/', title='Home' class="nav-link") Home
            if(isAuthorized)
                li(class="nav-item"): a(href="/my-tournaments" class="nav-link") My tournaments 

        h1(class="main-title") Tournament details for tournament: #{tournament.name}

        div(class="page-content")
            p(class="info") Share url: 
                a(href=`${fullUrl}` class="share-url") #{fullUrl}

            if(players)
                p(class="info") There are #{players.length} players in this tournament.
                h3(class="section-title") Players list
                ul(class="playes-list")
                    each player in players
                        li(class="players-item") #{player.player_name}

            h3(class="section-title") Scoring system
            ul(class="points-list") 
                li(class="points-item") Win points: #{tournament.win_points}
                li(class="points-item") Tie points: #{tournament.tie_points}
                li(class="points-item") Defeat points: #{tournament.defeat_points}
        
        if(gameSchedules)
            h2(class="middle-title") Games schedule
            form(action=`/tournament/${tournament.tournament_id}`, method="post")
                table(class="schedule-table")
                    tr(class="schedule-table-row")
                        th(class="schedule-table-header") Round 
                        th(class="schedule-table-header") Player 1
                        th(class="schedule-table-header") Player 1 score 
                        th(class="schedule-table-header") Player 2 score 
                        th(class="schedule-table-header") Player 2
                    each gameSchedule in gameSchedules
                        - let game = games.find(g => { return g.game_order_number === gameSchedule.order_number})

                        tr(class="schedule-table-row") 
                            td(class="schedule-table-data") #{gameSchedule.round}
                            td(class="schedule-table-data") #{players[gameSchedule.player1_number - 1].player_name} 
                            if(game)
                                td(class="schedule-table-data") 
                                    input(type="number", name=`${game.game_id}-score1`, value=`${game.score1}`, readonly=!isAuthorized, min="0")
                                td(class="schedule-table-data") 
                                    input(type="number", name=`${game.game_id}-score2`, value=`${game.score2}`, readonly=!isAuthorized, min="0")
                            else 
                                td(class="schedule-table-data")
                                    input(type="number", name=`${gameSchedule.order_number}-score1`, readonly=!isAuthorized, min="0")
                                td(class="schedule-table-data") 
                                    input(type="number", name=`${gameSchedule.order_number}-score2`, readonly=!isAuthorized, min="0")
                            td(class="schedule-table-data") #{players[gameSchedule.player2_number - 1].player_name}
                if(isAuthorized)
                    input(type="submit", value="Save changes" class="submit-button")

        div(class="standings")
            h2(class="middle-title") Standings
            table(class="standings-table") 
                tr(class="standings-table-row") 
                    th(class="standings-table-header") Position 
                    th(class="standings-table-header") Name 
                    th(class="standings-table-header") Played 
                    th(class="standings-table-header") Wins 
                    th(class="standings-table-header") Ties 
                    th(class="standings-table-header") Defeats
                    th(class="standings-table-header") Points 
                each entry in standings 
                    tr(class="standings-table-row") 
                        td(class="standings-table-data") #{standings.indexOf(entry) + 1}
                        td(class="standings-table-data") #{entry.player.player_name}
                        td(class="standings-table-data") #{entry.played}
                        td(class="standings-table-data") #{entry.wins}
                        td(class="standings-table-data") #{entry.ties}
                        td(class="standings-table-data") #{entry.defeats}
                        td(class="standings-table-data") #{entry.points}